      subroutine angout (aunit1, aunit2, a1, am1, as1)

c*s
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c
c     Version:  angout   Updated     2000 August 8 14:30.
c               angout   Originated  2000 July 15 14:00.
c
c     Author:   Arthur L. Edwards, L-298, x-24123.
c
c     Purpose:  To display an angle in a specified angle unit.
c
c     Logic:    Entry points:  angout.
c angout        Called by:  angles.
c
c angout        Calls:  aptcang.
c
c     Biblio:   ?
c
c     Glossary:
c
c     History:
c
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c/c

      include 'store.h'

      character*8  aunit1             ! Input unit.
      character*8  aunit2             ! Output unit.

c===============================================================================

c.... Convert units.

      call aptcang (a1, am1, as1, aunit1, tol,
     &              deg, grad, rad, adeg, am2, as2, nerr)

 8110 format ('  angout ERROR.  Reading ',a40,' line ',i5,'.' /
     &  '  Angle exceeds the largest machine integer.' /
     &  '  a1, am1, as1  = ',1p3e20.12)

      if (nerr .ne. 0) then
        write (   6, 8110) ainput, ninput, a1, am1, as1
        write (iout, 8110) ainput, ninput, a1, am1, as1
        go to 999
      endif

 8118 format (/ 2x,'deg, min, sec = ',1p3e20.12 )
 8120 format (  2x,'deg, min, sec = ',1p3e20.12 /
     &          2x,a,5x,' = ',1pe20.12 )
 8130 format (/ 2x,a,5x,' = ',1pe20.12 /
     &          2x,a,5x,' = ',1pe20.12 )
 8140 format (/ 2x,a,5x,' = ',1pe20.12 /
     &          2x,'deg, min, sec = ',1p3e20.12 )
 8160 format (/ 2x,'deg, min, sec = ',1p3e20.12 /
     &          2x,'deg, min, sec = ',1p3e20.12 )

 8210 format ('  angout ERROR.  Reading ',a40,' line ',i5,'.' /
     &  '  Bad input to angout.')

      if     ((aunit2 .eq. 'degrees') .or.
     &        (aunit2 .eq. 'deg'))    then
        if (aunit1 .eq. 'dms') then
          write (iout, 8118) a1, am1, as1
          write (   6, 8118) a1, am1, as1
          write (iout, 8120) adeg, am2, as2, aunit2, deg
          write (   6, 8120) adeg, am2, as2, aunit2, deg
        else
          write (iout, 8130) aunit1, a1, aunit2, deg
          write (   6, 8130) aunit1, a1, aunit2, deg
        endif
      elseif ((aunit2 .eq. 'grads'  ) .or.
     &        (aunit2 .eq. 'grad'))   then
        if (aunit1 .eq. 'dms') then
          write (iout, 8118) a1, am1, as1
          write (   6, 8118) a1, am1, as1
          write (iout, 8120) adeg, am2, as2, aunit2, grad
          write (   6, 8120) adeg, am2, as2, aunit2, grad
        else
          write (iout, 8130) aunit1, a1, aunit2, grad
          write (   6, 8130) aunit1, a1, aunit2, grad
        endif
      elseif ((aunit2 .eq. 'radians') .or.
     &        (aunit2 .eq. 'rad'))    then
        if (aunit1 .eq. 'dms') then
          write (iout, 8118) a1, am1, as1
          write (   6, 8118) a1, am1, as1
          write (iout, 8120) adeg, am2, as2, aunit2, rad
          write (   6, 8120) adeg, am2, as2, aunit2, rad
        else
          write (iout, 8130) aunit1, a1, aunit2, rad
          write (   6, 8130) aunit1, a1, aunit2, rad
        endif
      elseif  (aunit2 .eq. 'dms'  )   then
        if (aunit1 .eq. 'dms') then
          write (iout, 8160) a1, am1, as1,
     &                       adeg, am2, as2
          write (   6, 8160) a1, am1, as1,
     &                       adeg, am2, as2
        else
          write (iout, 8140) aunit1, a1, adeg, am2, as2
          write (   6, 8140) aunit1, a1, adeg, am2, as2
        endif
      else
        write (   6, 8210) ainput, ninput
        write (iout, 8210) ainput, ninput
        go to 999
      endif

  999 return

c.... End of subroutine angout.        (+1 line)
      end
