      subroutine bigwork (nbwork)

c*s
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c
c     Version:  bigwork  Updated     2005 August 5 17:20.
c               bigwork  Originated  2005 August 5 17:20.
c
c     Author:   Arthur L. Edwards, L-298, x-24123.
c
c     Purpose:  To find an unused big integer for use as a working array.
c               digits.
c
c     Logic:    Entry points:  bigwork.
c bigwork       Called by:  bigint, bigtran.
c
c     Biblio:   ?
c
c     Glossary:
c
c     nbwork    Output   Index from 1 to nbigm, of a zero abig array.
c
c     History:
c
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c/c

      include 'store.h'

c.... Find an unused big integer for use as a working array.

      nbwork = 0
      do nb = nbigm, 1, -1
        if (abigtag(nb) .eq. ' ') then
          nbwork = nb
          abigtag(nbwork) = "work"
          go to 999
        endif
      enddo

 8120 format ('  bigwork ERROR.  Reading ',a40,' line ',i5,'.' /
     &  '  No unused big integer arrays are available.' /
     &  '  You must set one or more to zero.' )

      write (   6, 8120) ainput, ninput
      write (iout, 8120) ainput, ninput

  999 return

c.... End of subroutine bigwork.      (+1 line)
      end
