      subroutine blankout
 
c*s
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c
c     Version:  blankout Updated     2006 February 27 16:30.
c               blankout Originated  1994 March 2 10:00.
c
c     Author:   Arthur L. Edwards
c
c     Purpose:  To initialize all character data to blanks.
c
c     Logic:    Entry points:  blankout
c blankout      Called by:  main.
c               Calls:  (none).
c
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c/c

      include 'store.h'

c.... Initialize all character data to blanks, or permanent words.
 
c.... System data.

      ainbeg    = 'NOT USED'
      ainend    = 'NOT USED'
      ainends   = 'NOT USED'
      ainput    = ' '                 ! Input medium:  'tty' or filename.'
      ainputs   = 'NOT USED'
      abind     = ' '                 ! Option, 'bin' to display binary mode.
      ainputex  = ' '                 ! Input file on execution line.
      aoutputex = ' '                 ! Output file on execution line.

c.... Type character variables.

      do n = 1, 4
        abox(n)  = ' '                ! Box number and ID.
      enddo

      afilin    = 'NOT USED'
      afilout   = ' '                 ! Name of hsp output file.
      afilcmd   = ' '                 ! Name of command file.
      asubxx    = 'NOT USED'      
      aversion  = ' '                 ! Version year, month, day, machine.
      aloddate  = ' '                 ! Load date.
      alodmach  = ' '                 ! Machine letter.
      alodtime  = ' '                 ! Load time.

      do n = 1, 20
        atitle(n)  = ' '              ! Problem title.
      enddo

      atitle(1) = 'NOT SPEC'
      atitle(2) = 'IFIED.  '

      adate    = ' '                  ! Run date.
      atime    = ' '                  ! Run time.
      amach    = ' '                  ! Run machine.

c.... Variables needed for use of aptffip, aptchap and aptchtp.

      do n = 1, 40
        aword(n) = ' '                ! User message fields.  ASCII (1).
      enddo

      do n = 1, 80
        astat(n) = ' '                ! Multiple-command lines.
      enddo
                                      !   1 for ASCII, 2 for integer,
                                      !   3 for floating point.
      do n = 1, 80
        achar(n) = ' '                ! User message uncracked ASCII words.
      enddo

      afd      = ' '                  ! Field delimiter.  A blank character.
      aparse   = ' '                  ! Flag to display parsing data, if "on".
      aprompt  = ' '                  ! Prompt sentinal.
      aprompts = ' '                  ! Prompt string.

c.... Characters to delineate and separate subscripts.

      astem  = ' '                    ! Stem of name.

      do n = 1, 16
        asub(n) = ' '                 ! Subscript names.
      enddo

c.... Data for input files.

      do n = 1, nfilem
        ainfile(n) = ' '              ! Name of input file.
        ainfbeg(n) = ' '              ! Pattern to begin reading.
        ainfend(n) = ' '              ! Pattern to end   reading.
      enddo

c.... Data for plots.

      aplmarkh = ' '                  ! Marker with label of horizontal axis.
      aplmarkt = ' '                  ! Marker with title of plot.
      aplmarkv = ' '                  ! Marker with label of vertical axis.
      aplstat  = ' '                  ! Plotting status, "on" or "off".
      aptmarks = ' '                  ! Current plot point marker.
      axish    = ' '                  ! Name of coordinate of horizontal axis.
      axisv    = ' '                  ! Name of coordinate of vertical axis.

      do n = 1, nplptm
        aplotm(n) = ' '               ! Marker for a plot point.
      enddo

      do ncol = 1, nplcolm
        do nline = 1, nplinem
          aplbuf(ncol,nline) = ' '    ! Plot array.
        enddo
      enddo

      do n = 1, nptmarkm
        aptmark(n) = ' '
      enddo

c.... Data for aliases.

      do n = 1, naliasm
        alias1(n) = ' '               ! First string of alias (-> alias2).
        alias2(n) = ' '               ! Second string of alias (<- alias1).
      enddo

      alias1s = ' '                   ! First string of previous alias.

c.... Data for markers.

      do n = 1, nmarkm
        amark(n)  = ' '               ! Marker.
        amarkt(n) = ' '               ! Text that goes with marker.
      enddo

      amarks   = ' '                  ! Previous marker.

c.... Data for coordinate system and angle units.

      angunit  = ' '                  ! Angle units:  'degrees' or 'radians'.
      asys     = ' '                  ! Coordinate system:  'rect', 'cyl' or
                                      !   'sph'.
      acoordu  = ' '                  ! Name of first coordinate.
      acoordv  = ' '                  ! Name of second coordinate.
      acoordw  = ' '                  ! Name of third coordinate.

c.... Data for integer arithmetic.

      amode    = ' '

c.... Data for variables.

      do n = 1, nvarm
        avarbl(n) = ' '               ! Name of a variable.
        avar(n)   = ' '               ! Name of a variable.
        avartag(n) = ' '              ! Info about a variable, e.g., units.
      enddo
      avarbls = ' '                   ! Base name for variables.

c.... Data for symbols.

      do n = 1, nsymbm
        asymbl(n) = ' '               ! Name of a symbol.
        asymbr(n)  = ' '              ! ASCII value of a symbol.
      enddo
      asymbls = ' '                   ! Base name for symbols.

c.... Data for points.

      do n = 1, npointm
        apoint(n) = ' '               ! Name of a point.
      enddo
      apoints = ' '                   ! Base name for points.

c.... Data for clusters.

      do n = 1, nclustm
        aclust(n) = ' '               ! Name of a cluster.
      enddo
      aclusts = ' '                   ! Base name for clusters.

      do n = 1, npairm
        apaircl(n)  = ' '             ! Name of cluster for point apairpt.
        apairpt(n)  = ' '             ! Name of a point in cluster apaircl.
      enddo

c.... Data for lines.

      do n = 1, nlinem
        aline(n)  = ' '               ! Name of a line.
        alipt1(n) = ' '               ! Name of point at beginning of line.
        alipt2(n) = ' '               ! Name of point at end of line.
      enddo
      alines = ' '                    ! Base name for lines.

c.... Data for triangles.

      do n = 1, ntrigm
        atrig(n)   = ' '              ! Name of a triangle.
        atript1(n) = ' '              ! Name of a vertex point of the triangle.
        atript2(n) = ' '              ! Name of a vertex point of the triangle.
        atript3(n) = ' '              ! Name of a vertex point of the triangle.
      enddo
      atrigs = ' '                    ! Base name for triangles.

c.... Data for regular polygons.

      do n = 1, npolygm
        apolyg(n)  = ' '              ! Name of a regular polygon.
        acenpg(n)  = ' '              ! Name of center point of regular polygon.
        averpg(n)  = ' '              ! Name of vertex point of regular polygon.
        acoppg(n)  = ' '              ! Name of coplanar point of reg polygon.
      enddo
      apolygs = ' '                   ! Base name for regular polygons.

c.... Data for annular disks.

      do n = 1, ndiskm
        adisk(n)  = ' '               ! Name of an annular disk.
        acendk(n) = ' '               ! Name of center point of annular disk.
      enddo
      adisks = ' '                    ! Base name for annular disks.

c.... Data for tetrahedrons.

      do n = 1, ntetm
        atetra(n)  = ' '              ! Name of a tetrahedron.
        do nv = 1, 4
          atetpt(nv,n) = ' '          ! Name of a vertex point of tetrahedron.
        enddo
      enddo
      atetras = ' '                   ! Base name for tetrahedrons.

c.... Data for regular polyhedrons.

      do n = 1, npolyhm
        apolyh(n)  = ' '              ! Name of a regular polyhedron.
        atypeh(n)  = ' '              ! Type of a regular polyhedron.
        acenph(n)  = ' '              ! Name of center point of reg polyhedron.
        averph(n)  = ' '              ! Name of vertex point of reg polyhedron.
        acopph(n)  = ' '              ! Name of coplanar pt of reg polyhedron.
      enddo
      apolyhs = ' '                   ! Base name for regular polyhedrons.

c.... Data for bricks.

      do n = 1, nbrickm
        abrick(n)  = ' '              ! Name of a brick.
        asysbr(n)  = ' '              ! Coordinate system of brick.
        angbr(n)   = ' '              ! Angle units of brick.
      enddo
      abricks = ' '                   ! Base name for bricks.

c.... Data for quadric surfaces, including planes.

      do n = 0, 24
        aqtypes(n) = ' '
      enddo

      do n = 1, nquadm
        aquad(n)  = ' '               ! Name of a quadric surface.
        aqtype(n) = ' '               ! Type of quadric surface.
        aqform(n) = ' '               ! Form of quadric surface.
        asym(n)   = ' '               ! Blank or "axisymmetric".
      enddo

      aplanes  = ' '                  ! Base name for planes.
      aspheres = ' '                  ! Base name for spheres.
      acyls    = ' '                  ! Base name for circular cylinders.
      acones   = ' '                  ! Base name for circular cones.
      aellips  = ' '                  ! Base name for ellipsoids.
      axisyms  = ' '                  ! Base name for axisymmetric surfaces.
      ahyperbs = ' '                  ! Base name for hyperbolic paraboloids.
                                      !   and hyperboloids of one sheet.
      aquads   = ' '                  ! Base name for quadric surfaces.

c.... Data for zones.

      do n = 1, nzonem
        azone(n) = ' '                ! Name of a zone.
        do nn = 1, nzquadm
          azquad(nn,n) = ' '          ! Name of a quadric bounding zone.
          azsign(nn,n) = ' '          ! Side of quadric exit is toward (+ or -).
        enddo
      enddo
      azones = ' '                    ! Base name for zones.

c.... Data for vectors.

      do n = 1, nvectm
        avector(n)  = ' '             ! Name of a vector.
      enddo
      avectors = ' '                  ! Base name for vectors.

c.... Data for operators.

      do n = 1, noperm
        aoper(n)   = ' '              ! Name of an operator.
        aoptype(n) = ' '              ! Type of an operator.
        aoptyps(n) = ' '              ! Subtype of an operator.
      enddo
      aopers = ' '                    ! Base name for operators.

c.... Data for probability bins.

      do n = 1, nbinm
        abin(n)   = ' '               ! Name of a probability bin.
        atypeb(n) = ' '               ! Type of a probability bin.
      enddo
      abins = ' '                     ! Base name for probability bins.

c.... Data for probability distribution functions.

      do n = 1, npdfm
        apdf(n)  = ' '                ! Name of a pdf.
      enddo
cbugc***DEBUG begins.
cbug 9801 format ('blankout DEBUG 1:  apdfs =<',a)
cbug      write (   6, 9801) apdfs
cbug      write (iout, 9801) apdfs
cbugc***DEBUG Ends.
      apdfs = ' '                     ! Base name for pdfs.
cbugc***DEBUG begins.
cbug 9802 format ('blankout DEBUG 2:  apdfs =<',a)
cbug      write (   6, 9802) apdfs
cbug      write (iout, 9802) apdfs
cbugc***DEBUG Ends.

      do n = 1, npdfxm
        apdfx(n) = ' '                ! Name of pdf for bin abinx.
        abinx(n) = ' '                ! Name of bin for pdf apdfx.
      enddo

c.... Data for synonyms.

      do n = 1, nsynm
        asyn1(n) =   ' '
        asyn2(n) =   ' '
        asyncmd(n) = ' '
      enddo

c.... Data for saved commands.

      do n = 1, ncmdm
        do nn = 1, ncharm
          acmd(nn,n) = ' '
        enddo
      enddo
cbugc***DEBUG begins.
cbug 9803 format ('blankout DEBUG 3:  apdfs =<',a)
cbug      write (   6, 9803) apdfs
cbug      write (iout, 9803) apdfs
cbugc***DEBUG Ends.

c.... Temporary data.

      do n = 1, ntempm
        atempa(n) = ' '
        atempb(n) = ' '
      enddo

c.... Do loops.

      do n = 1, 16
        avarl(n) = ' '
      enddo

c.... Big integers.

      do n = 1, nbigm
        abig(n)    = ' '
        abigtag(n) = ' '
        asign(n)   = ' '
      enddo
      abigs = ' '

c.... Sudoku puzzles.

      do n = 0, 9
        achars(n) = ' '
        do nn = 1, 9
          acell(n,nn) = ' '
        enddo
      enddo

      return
 
c.... End of subroutine blankout.     (+1 line).
      end
