      subroutine getlun (ius)

c*s
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c
c     Version:  getlun   Updated     1993 November 3 13:30.
c               getlun   Originated  1993 January 26 16:00.
c
c     Author:   Arthur L. Edwards, L-298, x-24123.
c
c     Purpose:  To find any available logical I/O unit.
c
c     Logic:    Entry points:  getlun.
c getlun        Called by:  geomend.
c
c getlun        Calls:  geomend.
c
c               System calls:  inquire.
c
c     Biblio:   ?
c
c     Glossary:
c
c     ius       Output   An available logical I/O unit.
c
c     History:
c
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c/c

c.... Local variables.

      logical used

      common /agetlun/ atermess       ! Termination message.
      character*80     atermess       ! Termination message.

c.... Find an available logical I/O unit, between 7 and 31.

      do 100 itry = 7, 31
        inquire (unit=itry, opened=used)
        if (.not. used) then
          ius = itry
          go to 999
        endif
  100 continue

      atermess = 'getlun ERROR.  No available logical I/O unit number.'
      call geomend (atermess)

  999 return

c.... End of subroutine getlun        (+1 line).
      end
