      subroutine helpmisc

c*s
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c
c     Version:  helpmisc Updated     2002 September 11 17:00.
c               helpmisc Originated  1994 September 23 14:30.
c
c     Author:   Arthur L. Edwards, L-298, x-24123.
c
c     Purpose:  To display a help message for miscellaneous commands.
c
c     Logic:    Entry points:  helpmisc.
c helpmisc      Called by:  helpall, main.
c               Calls:  (none).
c
c     Biblio:   ?
c
c     Glossary:
c
c     History:
c
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c/c

      include 'store.h'

c.... Input line:  help misc
c.... Input line:  misc [help]

c.... Help message.

 8110 format (/ '  Miscellaneous commands include:' //
     &  '  if/endif                  Specify/end a conditional block.' /
     &  '  ratio, rat                Find the ratio of terms for a',
     &  ' geometric series.' /
     &  '  bisect                    Bisect an angle.' /
     &  '  dot, inner                Find the dot product and angle of',
     &  ' a vector pair.' /
     &  '  cross, outer              Find the cross product of a',
     &  ' vector pair.' /
     &  '  increment, incr           Increment a blank-delimited',
     &  ' string.' //
     &  '  invert, inv               Invert  points, clusters,',
     &  ' vectors, planes, quadrics.' /
     &  '  move, translate           Move    points, clusters,',
     &  ' vectors, planes, quadrics.' )

 8112 format (
     &  '  reflect, refl             Reflect points, clusters,',
     &  ' vectors, planes, quadrics.' /
     &  '  rotate, rot               Rotate  points, clusters,',
     &  ' vectors, planes, quadrics.' /
     &  '  scale, sc                 Scale   points, clusters,',
     &  ' vectors, planes, quadrics.' /
     &  '  project, proj             Project points onto a plane,',
     &  ' cylinder, or sphere.' /
     &  '  twist, tw                 Twist   points around an axis.' //
     &  '  circle, circ              Find a circle through 3 points,'
     &  ' or tangent circles.' /
     &  '  intcirc                   Find the intersection of 2',
     &  ' circles.' /
     &  '  kiss                      Find tangent circles and spheres.')

 8114 format (
     &  '  distance, dist, int       Find distances or intersections',
     &  ' between objects.' /
     &  '  slice, cut                Find the intersection of a',
     &  ' quadric with a plane.' /
     &  '  slice, cut                Find points in a quadric',
     &  ' surface.' /
     &  '  triple                    Find any triple intersection point',
     &  ' of three planes.' /
     &  '  track, trk                Find track distances,',
     &  ' intersections.' /
     &  '  accelerate, accel         Find parabolic paths of',
     &  ' accelerated particles.' /
     &  '  arc                       Find curvatures of a quadric',
     &  ' surface at a point.' /
     &  '  side; proximal, prox      Find sides of quadric surfaces',
     &  ' points are on.' /
     &  '  side; proximal, prox      Find distances from points to',
     &  ' quadric surfaces.' /
     &  '  side; proximal, prox      Find proximal points on',
     &  ' quadric surfaces.' /
     &  '  extrema, extr             Find the extrema of a quadric',
     &  ' surface.' )
 8116 format (
     &  '  where                     Find if points are in bricks,',
     &  ' tetrahedrons, zones.' /
     &  '  trig                      Find the missing parts of a',
     &  ' triangle.' /
     &  '  cuts                      Cut a triangle in two',
     &  ' with equal perimeters, areas.' /
     &  '  cute                      Find triangle extension with',
     &  ' same perimeter, area.' /
     &  '  steiner, stein            Find the Steiner vertex of a',
     &  ' triangle.' /
     &  '  sudoku, su                Solve a Sudoku puzzle.' /
     &  '  area                      Find the area of a polygon.' /
     &  '  volume                    Find the volume of a rotated',
     &  ' polygon.' /
     &  '  mcvol                     Estimate the volume of a zone.' )

        write (   6, 8110)
        write (iout, 8110)
        write (   6, 8112)
        write (iout, 8112)
        write (   6, 8114)
        write (iout, 8114)
        write (   6, 8116)
        write (iout, 8116)

      return

c.... End of subroutine helpmisc.      (+1 line)
      end
