      subroutine lstore (nrep, n)

c*s
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c
c     Version:  lstore   Updated     1995 June 26 16:30.
c               lstore   Originated  1995 June 26 16:30.
c
c     Author:   Arthur L. Edwards, L-298, x-24123.
c
c     Purpose:  To find the index in the line array in which to store the
c               line being created.
c
c     Logic:    Entry points:  lstore.
c lstore        Called by:  line.
c
c lstore        Calls:  lout.
c
c     Biblio:   ?
c
c     Glossary:
c
c     n         Output   0 if line array is full.  No room for a new line.
c                          Positive if the index where the new line is to
c                          be stored.
c
c     nrep      Output   0 if line name is new, 1 if an old line with the
c                          same name is being replaced.
c
c     History:
c
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c/c

      include 'store.h'

      n = 0

c.... See if the line name already exists.

 8110 format ('  WARNING:  replacing existing line:  ',a)

      nrep = 0

      do 110 nl = 1, nlines
        if (aword(2) .eq. aline(nl)) then
          nrep = 1
          n    = nl
          write (   6, 8110) aline(nl)
          write (iout, 8110) aline(nl)
          call lout (nl, nl)
          go to 999
        endif
  110 continue

c.... See if a null line can be replaced.

      do 120 nl = 1, nlines
        if (aline(n) .eq. ' ') then
          n = nl
          go to 999
        endif
  120 continue

c.... See if the maximum number of lines has been exceeded.

 8130 format ('  lstore ERROR.  Reading ',a40,' line ',i5,'.' /
     &  '  Number of lines exceeds limit ',i5)

      if ((nlines + 1) .gt. nlinem) then
        write (   6, 8130) ainput, ninput, nlinem
        write (iout, 8130) ainput, ninput, nlinem
        n = 0
        go to 999
      endif

c.... Add a new line at the end of the list.

      nlines = nlines + 1

      n = nlines

  999 return

c.... End of subroutine lstore.       (+1 line)
      end
