      subroutine meshchk1 (k, l, m, nerrchk)

c*s
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c
c     Version:  meshchk1 Updated     1995 July 26 14:00.
c               meshchk1 Originated  1995 July 26 14:00.
c
c     Author:   Arthur L. Edwards, L-298, x-24123.
c
c     Purpose:  To check the validity of mesh indices k, l and m.
c
c     Logic:    Entry points:  meshchk1.
c meshchk1      Called by:  mesh.
c
c     Biblio:   ?
c
c     Glossary:
c
c     k         Input    K index.
c
c     l         Input    L index.
c
c     m         Input    M index.
c
c     nerrchk   Output   Error indicator, 1 if input errors were found.
c
c     History:
c
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c/c

      include 'store.h'

c.... Local variables.

c.... Initialize.

      nerrchk    = 0

c.... Test input for errors.

 8110 format ('  meshchk1 ERROR.  Reading ',a40,' line ',i5,'.' /
     &  '  Mesh index K =',i6,' is <  1.')
 8210 format ('  meshchk1 ERROR.  Reading ',a40,' line ',i5,'.' /
     &  '  Mesh index M =',i6,' is <  1.')
 8130 format ('  meshchk1 ERROR.  Reading ',a40,' line ',i5,'.' /
     &  '  Mesh index M =',i6,' is <  1.')
 8140 format ('  meshchk1 ERROR.  Reading ',a40,' line ',i5,'.' /
     &  '  Mesh index K =',i6,' is > KMAX =',i6,'.')
 8150 format ('  meshchk1 ERROR.  Reading ',a40,' line ',i5,'.' /
     &  '  Mesh index L =',i6,' is > LMAX =',i6,'.')
 8160 format ('  meshchk1 ERROR.  Reading ',a40,' line ',i5,'.' /
     &  '  Mesh index M =',i6,' is > MMAX =',i6,'.')

      if (k .le. 0) then
        write (   6, 8110) ainput, ninput, k
        write (iout, 8110) ainput, ninput, k
        nerrchk = 1
      endif

      if (l .le. 0) then
        write (   6, 8210) ainput, ninput, l
        write (iout, 8210) ainput, ninput, l
        nerrchk = 2
      endif

      if (m .le. 0) then
        write (   6, 8130) ainput, ninput, m
        write (iout, 8130) ainput, ninput, m
        nerrchk = 3
      endif

      if (k .gt. kmax) then
        write (   6, 8140) ainput, ninput, k, kmax
        write (iout, 8140) ainput, ninput, k, kmax
        nerrchk = 4
      endif

      if (l .gt. lmax) then
        write (   6, 8150) ainput, ninput, l, lmax
        write (iout, 8150) ainput, ninput, l, lmax
        nerrchk = 5
      endif

      if (m .gt. mmax) then
        write (   6, 8160) ainput, ninput, m, mmax
        write (iout, 8160) ainput, ninput, m, mmax
        nerrchk = 6
      endif

      return

c.... End of subroutine meshchk1.     (+1 line)
      end
