      subroutine parse

c*s
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c
c     Version:  parse    Updated     2004 September 13 16:00.
c               parse    Originated  2004 September 13 16:00.
c
c     Author:   Arthur L. Edwards, L-298, x-24123.
c
c     Purpose:  To set the parsing flag aparse, and display parsing
c               data if it is "on".
c
c     Logic:    Entry points:  parse
c parse         Called by:  helpall, main.
c               Calls:  (none).
c
c     Biblio:   ?
c
c     Glossary:
c
c     History:
c
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c/c

      include 'store.h'

c.... Local variables.

c.... Input line:  parse [help]

 8110 format (
     &  '  Command "parse":  acceptable input lines include:' /
     &  '  "parse [help]"  Display this message.' /
     &  '  "parse on"      Turn parsing flag on.' /
     &  '  "parse off"     Turn parsing flag off.' //
     &  '  Synonyms:  [help, h].' //
     &  '  Parsing flag is ',a3)

      if (aword(1) .eq. 'parse') then
        if ((nword .eq. 1) .or.
     &     ((nword .eq. 2) .and.
     &     ((aword(2) .eq. 'help') .or.
     &      (aword(2) .eq. 'h')))) then
          write (   6, 8110) aparse
          write (iout, 8110) aparse
          go to 999
        endif
      endif

c=======================================================================********

c.... Initialize.

      if (nword .eq. 0) then
        aparse = 'off'
        go to 999
      endif

c=======================================================================********

c.... Input line:  parse on
c.... Input line:  parse off

 8200 format ('  parse ERROR.  Reading ',a40,' line ',i5,'.' /
     &  '  Input line is not recognized.')

      if (aword(1) .eq. 'parse') then
        if (nword .eq. 2) then
          if (aword(2) .eq. 'on') then
            aparse = 'on'
            go to 999
          elseif (aword(2) .eq. 'off') then
            aparse = 'off'
            go to 999
          endif
        else
          write (   6, 8200) ainput, ninput
          write (iout, 8200) ainput, ninput
        endif
      endif

c=======================================================================********

c.... See if parsing data should be displayed.

 8000 format (' ')
 8002 format ('Data Group:  ',a)
 8005 format (a10,'  =  ',a)
 8010 format (a10,'  (next line) =' / 80a1)
 8015 format (a10,' (',i6,')  =  ',a)
 8035 format (a10,' (',i6,')  =  ',1pe23.15)
 8050 format (a10,'  =  ',i6)
 8055 format (a10,' (',i6,')  =  ',i6)
 8070 format (a10,' (',i6,')  =  ',i20)

      if (aparse .eq. 'on') then      ! Display parsing data.

        awordx = 'parse'
        write (   6, 8002) awordx
        write (iout, 8002) awordx
        write (   6, 8000)
        write (iout, 8000)
        awordz = 'afd'
        write (   6, 8005) awordz, afd
        write (iout, 8005) awordz, afd
        awordz = 'aparse'
        write (   6, 8005) awordz, aparse
        write (iout, 8005) awordz, aparse
        awordz = 'ncharm'
        write (   6, 8050) awordz, ncharm
        write (iout, 8050) awordz, ncharm
        awordz = 'achar'
        write (   6, 8010) awordz, (achar(n), n = 1, ncharm)
        write (iout, 8010) awordz, (achar(n), n = 1, ncharm)
        write (   6, 8000)
        write (iout, 8000)
        awordz = 'nwordm'
        write (   6, 8050) awordz, nwordm
        write (iout, 8050) awordz, nwordm
        awordz = 'nword'
        write (   6, 8050) awordz, nword
        write (iout, 8050) awordz, nword
        do n = 1, nword
          if (aword(n) .ne. ' ') then
            write (   6, 8000)
            write (iout, 8000)
            awordz = 'aword'
            write (   6, 8015) awordz, n, aword(n)
            write (iout, 8015) awordz, n, aword(n)
            awordz = 'iword'
            write (   6, 8070) awordz, n, iword(n)
            write (iout, 8070) awordz, n, iword(n)
            awordz = 'fword'
            write (   6, 8035) awordz, n, fword(n)
            write (iout, 8035) awordz, n, fword(n)
            awordz = 'lword'
            write (   6, 8055) awordz, n, lword(n)
            write (iout, 8055) awordz, n, lword(n)
            awordz = 'lwords'
            write (   6, 8055) awordz, n, lwords(n)
            write (iout, 8055) awordz, n, lwords(n)
            awordz = 'mtype'
            write (   6, 8055) awordz, n, mtype(n)
            write (iout, 8055) awordz, n, mtype(n)
          endif
        enddo
        write (   6, 8000)
        write (iout, 8000)
        awordz = 'nstats'
        write (   6, 8050) awordz, nstats
        write (iout, 8050) awordz, nstats
        awordz = 'nstat'
        write (   6, 8050) awordz, nstat
        write (iout, 8050) awordz, nstat
        awordz = 'ncharm'
        write (   6, 8050) awordz, ncharm
        write (iout, 8050) awordz, ncharm
        do n = 1, ncharm
          if (istat(n) .ne. 0) then
            awordz = 'istat'
            write (   6, 8055) awordz, n, istat(n)
            write (iout, 8055) awordz, n, istat(n)
          endif
        enddo
        awordz = 'astat'
        write (   6, 8010) awordz, (astat(n), n = 1, ncharm)
        write (iout, 8010) awordz, (astat(n), n = 1, ncharm)
        write (   6, 8000)
        write (iout, 8000)
        awordz = 'nifnest'
        write (   6, 8050) awordz, nifnest
        write (iout, 8050) awordz, nifnest
        write (   6, 8000)
        write (iout, 8000)

      endif                           ! Parsing data flag is "on".

c=======================================================================********

  999 return

c.... End of subroutine parse.        (+1 line)
      end
