      subroutine prompt

c*s
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c
c     Version:  prompt   Updated     2002 October 1 14:00.
c               prompt   Originated  2002 October 1 14:00.
c
c     Author:   Arthur L. Edwards, L-298, x-24123.
c
c     Purpose:  To switch between long and short prompts.
c
c     Logic:    Entry points:  prompt.
c prompt        Called by:  helpall, main.
c
c     Biblio:   ?
c
c     Glossary:
c
c     History:
c
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c/c

      include 'store.h'

      character*8 awordx

c===============================================================================

c.... Input line:  prompt help

 8110 format ('  Command "prompt":  acceptable input lines include:' //
     &  '  "prompt help"              Display this message.' /
     &  '  "prompt"                   Switch between long and short',
     &  ' prompts.' /
     &  '  "prompt [=] STRING         Use short prompt string STRING' /
     &  '                             (up to 8 characters).' //
     &  '  Synonyms:  [help, h].' )
 8115 format ('Short prompt string is:  ',a)

      if ((nword .eq. 2) .and.
     &   ((aword(2) .eq. 'help') .or.
     &    (aword(2) .eq. 'h'))) then

        write (   6, 8110)
        write (iout, 8110)

        if (aprompt .eq. 'off') then
          write (   6, 8115) aprompts
          write (iout, 8115) aprompts
        endif

        go to 999

      endif                           ! Input line:  prompt help

c===============================================================================

c.... Input line:  prompt

      if (nword .eq. 1) then

 8210 format (a5,' prompt is on.')

        if (aprompt .eq. 'on') then
          aprompt = 'off'
          awordx  = 'Short'
        else
          aprompt = 'on'
          awordx  = 'Long'
        endif

        write (   6, 8210) awordx
        write (iout, 8210) awordx

        go to 999

      endif                           ! Input line:  prompt

c===============================================================================

c.... Input line:  prompt [=] STRING

      if (nword .eq. 2) then
        nword    = 3
        aword(3) = aword(2)
        lword(3) = lword(2)
        mtype(3) = mtype(2)
        aword(2) = '='
        lword(2) = 1
        mtype(2) = 1
      endif

 8220 format ('  prompt ERROR.  Reading ',a40,' line ',i5,'.' /
     &  '  Prompt string is not ASCII.' )
 8230 format ('  prompt ERROR.  Reading ',a40,' line ',i5,'.' /
     &  '  Prompt string not from 1 to 8 characters.' )

      if ((nword .eq. 3)       .and.
     &    (aword(2) .eq. '=')) then

        if (mtype(3) .ne. 1) then
          write (   6, 8220) ainput, ninput
          write (iout, 8220) ainput, ninput
          go to 999
        endif

        if ((lword(3) .lt. 1) .or. (lword(3) .gt. 8)) then
          write (   6, 8230) ainput, ninput
          write (iout, 8230) ainput, ninput
          go to 999
        endif

        aprompt  = 'off'
        aprompts = aword(3)
        lprompts = lword(3)

        go to 999

      endif

c===============================================================================

c.... Input line is not recognized.

 8310 format ('  prompt ERROR.  Reading ',a40,' line ',i5,'.' /
     &  '  Input line is not recognized.' )

      write (   6, 8310) ainput, ninput
      write (iout, 8310) ainput, ninput

      write (   6, 8110)
      write (iout, 8110)

c=======================================================================********

  999 return

c.... End of subroutine prompt.       (+1 line)
      end
