      subroutine symbout (n1, n2)

c*s
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c     Version:  symbout  Updated     2004 June 4 14:00.
c               symbout  Originated  2002 August 20 14:00.
c
c     Author:   Arthur L. Edwards, L-298, x-24123.
c
c     Purpose:  To display the value of symbols n1 to n2.
c
c     Logic:    Entry points:  symbout.
c symbout       Called by:  alias, symbdisp, symbrepl, symstore, synonym.
c               Calls:  (none).
c
c     Biblio:   ?
c
c     Glossary:
c
c     History:
c
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c/c

      include 'store.h'

c.... Initialize.

      nn1 = n1
      nn2 = n2
      if (nn1 .lt. 1) nn1 = 1
      if (nn2 .gt. nsymbs) nn2 = nsymbs

 8104 format ('symbol ',a,' = ',a20,'  ! (ASCII)')
 8114 format ('symbol ',a,' = ',a40,'  ! (ASCII)')
 8124 format ('symbol ',a,' = ',a48)
 8134 format ('symbol ',a,' = ' / a)
 8105 format ('symbol ',a,' = ',i20,     '  ! (integer)')
 8115 format ('symbol ',a,' = ',i23,     '  ! (integer)')
 8106 format ('symbol ',a,' = ',1pe20.12,'  ! (floating point)')
 8108 format ('symbol ',a,' = ',1pe23.15,'  ! (floating point)')

      do 110 nsymb = nn1, nn2         ! Loop over symbols to be displayed.
        if (asymbl(nsymb) .eq. ' ') go to 110

        if (lsymb(nsymb) .le. 20) then
          write (   6, 8104) asymbl(nsymb), asymbr(nsymb)
          write (iout, 8104) asymbl(nsymb), asymbr(nsymb)
        elseif (lsymb(nsymb) .le. 40) then
          write (   6, 8114) asymbl(nsymb), asymbr(nsymb)
          write (iout, 8114) asymbl(nsymb), asymbr(nsymb)
        elseif (lsymb(nsymb) .le. 48) then
          write (   6, 8124) asymbl(nsymb), asymbr(nsymb)
          write (iout, 8124) asymbl(nsymb), asymbr(nsymb)
        else
          write (   6, 8134) asymbl(nsymb), asymbr(nsymb)
          write (iout, 8134) asymbl(nsymb), asymbr(nsymb)
        endif

        if (msymb(nsymb) .eq. 2) then
          if (tol .le. 1.e-15) then
            write (   6, 8115) asymbl(nsymb), isymb(nsymb)
            write (iout, 8115) asymbl(nsymb), isymb(nsymb)
          else
            write (   6, 8105) asymbl(nsymb), isymb(nsymb)
            write (iout, 8105) asymbl(nsymb), isymb(nsymb)
          endif
          if (abs (fsymb(nsymb)) .gt. 1.e6) then
            if (tol .le. 1.e-15) then
              write (   6, 8108) asymbl(nsymb), fsymb(nsymb)
              write (iout, 8108) asymbl(nsymb), fsymb(nsymb)
            else
              write (   6, 8106) asymbl(nsymb), fsymb(nsymb)
              write (iout, 8106) asymbl(nsymb), fsymb(nsymb)
            endif
          endif
        elseif (msymb(nsymb) .eq. 3) then
          if (tol .le. 1.e-15) then
            write (   6, 8108) asymbl(nsymb), fsymb(nsymb)
            write (iout, 8108) asymbl(nsymb), fsymb(nsymb)
          else
            write (   6, 8106) asymbl(nsymb), fsymb(nsymb)
            write (iout, 8106) asymbl(nsymb), fsymb(nsymb)
          endif
        endif

  110 continue                        ! End of loop over symbols.

  999 return

c.... End of subroutine symbout.      (+1 line)
      end
