      subroutine symstore (nrep, n)

c*s
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c
c     Version:  symstore Updated     2002 August 20 14:00.
c               symstore Originated  2002 August 20 14:00.
c
c     Author:   Arthur L. Edwards, L-298, x-24123.
c
c     Purpose:  To find the index in the array of symbols in which to store
c               the symbol being created.
c
c     Logic:    Entry points:  symstore.
c symstore      Called by:  symbol.
c
c symstore      Calls:  symbout.
c
c     Biblio:   ?
c
c     Glossary:
c
c     n         Output   0 if symbol array is full.  No room for a new symbol.
c                          Positive if the index where the new symbol is to
c                          be stored.
c
c     nrep      Output   0 if symbol name is new, 1 if an old symbol with the
c                          same name is being replaced.
c
c     History:
c
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c/c

      include 'store.h'

      n = 0

c.... See if the symbol name already exists.

 8110 format ('  WARNING:  replacing existing symbol:  ',a)

      nrep = 0

      do 110 nsymb = 1, nsymbs
        if (aword(2) .eq. asymbl(nsymb)) then
          nrep = 1
          n = nsymb
          write (   6, 8110) asymbl(nsymb)
          write (iout, 8110) asymbl(nsymb)
          call symbout (nsymb, nsymb)
          go to 999
        endif
  110 continue

c.... See if a null symbol can be replaced.

      do 120 nsymb = 1, nsymbs
        if (asymbl(nsymb) .eq. ' ') then
          n = nsymb
          go to 999
        endif
  120 continue

c.... See if the maximum number of symbols has been exceeded.

 8130 format ('  symstore ERROR.  Reading ',a40,' line ',i5,'.' /
     &  '  Number of symbols exceeds limit ',i5)

      if ((nsymbs + 1) .gt. nsymbm) then
        write (   6, 8130) ainput, ninput, nsymbm
        write (iout, 8130) ainput, ninput, nsymbm
        n = 0
        go to 999
      endif

c.... Add a new symbol at the end of the list.

      nsymbs = nsymbs + 1

      n = nsymbs

c=======================================================================********

  999 return

c.... End of subroutine symstore.     (+1 line)
      end
