      subroutine synout (n1, n2)

c*s
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c
c     Version:  synout   Updated     2004 June 4 14:00.
c               synout   Originated  1994 September 20 17:40.
c
c     Author:   Arthur L. Edwards, L-298, x-24123.
c
c     Purpose:  To display all pairs of synonyms.
c
c     Logic:    Entry points:  synout.
c synout        Called by:  alias, symbol, synonym.
c               Calls:  (none).
c
c     Biblio:   ?
c
c     Glossary:
c
c     History:
c
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c/c

      include 'store.h'

c.... Initialize.

      nn1 = n1
      nn2 = n2
      if (nn1 .lt. 1) nn1 = 1
      if (nn2 .gt. nsyns) nn2 = nsyns

 8100 format ('synonym  ',a16,' =  ',a16)
 8110 format ('synonym  ',a16,' =  ',a16,2x,'! Only with "',a16,'".')

      do 150 n = nn1, nn2
        if (asyn1(n) .eq. ' ') go to 150
        if (asyn2(n) .eq. ' ') go to 150

        if (asyncmd(n) .eq. ' ') then
          write (   6, 8100) asyn2(n), asyn1(n)
          write (iout, 8100) asyn2(n), asyn1(n)
        else
          write (   6, 8110) asyn2(n), asyn1(n), asyncmd(n)
          write (iout, 8110) asyn2(n), asyn1(n), asyncmd(n)
        endif

  150 continue

  999 return

c.... End of subroutine synout.       (+1 line)
      end
