      subroutine tetstore (nrep, n)

c*s
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c
c     Version:  tetstore Updated     1994 August 9 16:30.
c               tetstore Originated  1994 August 9 16:30.
c
c     Author:   Arthur L. Edwards, L-298, x-24123.
c
c     Purpose:  To find the index in the tetrahedron array in which to store the
c               tetrahedron being created.
c
c     Logic:    Entry points:  tetstore.
c tetstore      Called by:  tetra.
c
c tetstore      Calls:  pout.
c
c     Biblio:   ?
c
c     Glossary:
c
c     n         Output   0 if tetrahedron array is full.  No room for a new
c                          tetrahedron.
c                          Positive if the index where the new tetrahedron is to
c                          be stored.
c
c     nrep      Output   0 if tetrahedron name is new, 1 if an old tetrahedron
c                          with the same name is being replaced.
c
c     History:
c
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c/c

      include 'store.h'

      character*8 amount              ! Amount of output data.

      n = 0

c.... See if the tetrahedron name already exists.

 8110 format ('  WARNING:  replacing existing tetrahedron:  ',a)

      nrep = 0

      do 110 nt = 1, ntets
        if (aword(2) .eq. atetra(nt)) then
          nrep = 1
          n = nt
          write (   6, 8110) atetra(nt)
          write (iout, 8110) atetra(nt)
          amount = 'minimum'
          call pout (nt, nt, amount)
          go to 999
        endif
  110 continue

c.... See if a null tetrahedron can be replaced.

      do 120 nt = 1, ntets
        if (atetra(nt) .eq. ' ') then
          n = nt
          go to 999
        endif
  120 continue

c.... See if the maximum number of tetrahedrons has been exceeded.

 8130 format ('  tetstore ERROR.  Reading ',a40,' line ',i5,'.' /
     &  '  Number of tetrahedrons exceeds limit ',i5)

      if ((ntets + 1) .gt. ntetm) then
        write (   6, 8130) ainput, ninput, ntetm
        write (iout, 8130) ainput, ninput, ntetm
        n = 0
        go to 999
      endif

c.... Add a new tetrahedron at the end of the list.

      ntets = ntets + 1

      n = ntets

c=======================================================================********

  999 return

c.... End of subroutine tetstore.     (+1 line)
      end
