      subroutine undo  

c*s
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c
c     Version:  undo     Updated     2002 September 19 14:20.
c               undo     Originated  1994 August 4 15:40.
c
c     Author:   Arthur L. Edwards, L-298, x-24123.
c
c     Purpose:  To undo the last few commands, by repeating all commands in the
c               run except the last few.
c
c     Logic:    Entry points:  undo.
c undo          Called by:  helpall, main.
c
c undo          Calls:  input, varfind.
c
c     Biblio:   ?
c
c     Glossary:
c
c     History:  2002 September 19 14;20.  Changed to use command summary file
c               geom.cmd instead of internally saved input lines, to remove
c               the restriction on the number of saved commands available.
c
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c/c

      include 'store.h'

c=======================================================================********

c.... Input line:  undo help

 8110 format ('  Command "undo":  acceptable input lines include:' //
     &  '  "undo help"  Display this message.' //
     &  '  "undo"       Undo the last command (display with',
     &  ' command "i geom.cmd $ ?").' /
     &  '  "undo N"     Undo the last N commands (display with',
     &  ' command' /
     &  '               "i geom.cmd -M $ ?", where M = N - 1).' //
     &  '  Synonyms:  [undo, u].' )

      if ((nword .eq. 2)         .and.
     &   ((aword(2) .eq. 'help') .or.
     &    (aword(2) .eq. 'h')))  then
        write (   6, 8110)
        write (iout, 8110)
        go to 999
      endif

c=======================================================================********

c.... Input line:  undo [N|1]

c.... Test input for validity.

 8120 format ('  undo ERROR.  Reading ',a40,' line ',i5,'.' /
     &  '  Too many words on "undo" line:  ',i3)

      if (nword .gt. 2) then
        write (   6, 8120) ainput, ninput, nword
        write (iout, 8120) ainput, ninput, nword
        go to 999
      endif

 8130 format ('  undo ERROR.  Reading ',a40,' line ',i5,'.' /
     &  '  Second argument is not an integer or integer variable:  ',a)
 8140 format ('  undo ERROR.  Reading ',a40,' line ',i5,'.' /
     &  '  Second argument is not a positive integer:  ',i8)

      nundo = 1

      if (nword .eq. 2) then

        if (aword(2) .eq. '$') then
          aword(2) = '1'
          mtype(2) = 2
          iword(2) = 1
        endif

        call varfind (2, 2)

        if (mtype(2) .ne. 2) then
          write (   6, 8130) ainput, ninput, aword(2)
          write (iout, 8130) ainput, ninput, aword(2)
          go to 999
        endif

        if (iword(2) .ge. 1) then
          nundo = iword(2)
        else
          write (   6, 8140) ainput, ninput, iword(2)
          write (iout, 8140) ainput, ninput, iword(2)
          go to 999
        endif

      endif

 8150 format ('  undo ERROR.  Reading ',a40,' line ',i5,'.' /
     &  '  Number of commands to undo:  ',i8,
     &  ' => number of commands:  ',i8)

      if (nundo .ge. ncmds) then
        write (   6, 8150) ainput, ninput, nundo, ncmds
        write (iout, 8150) ainput, ninput, nundo, ncmds
        go to 999
      endif

c.... Create a command to reexecute all commands except last N,
c....   not counting this one.

      nword    = 4
      aword(2) = afilcmd
      mtype(3) = 2
      iword(3) = 1
      mtype(4) = 2
      iword(4) = ncmds - nundo - 1

      call input

c=======================================================================********

  999 return

c.... End of subroutine undo.         (+1 line)
      end
