      subroutine varmode (n)

c*s
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c
c     Version:  varmode  Updated     2003 October 1 14:00.
c               varmode  Originated  1995 April 24 14:40.
c
c     Author:   Arthur L. Edwards, L-298, x-24123.
c
c     Purpose:  To round off the value of variable n to an integer,
c               if close enough.
c
c     Logic:    Entry points:  varmode.
c varmode       Called by:  variable.
c
c varmode       Calls:  aptnint.
c
c     Biblio:   ?
c
c     Glossary:
c
c     mvar      In/Out   Mode of variable, 2 for integer, 3 for floating point.
c
c     n         Input    Index of variable in memory.
c
c     History:
c
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c/c

      include 'store.h'
cbugc____ DEBUG begins.
cbug 9901 format ('  varmode DEBUG.  ibug=1.  mvar='i3)
cbug 9902 format ('  varmode DEBUG.  ibug=1.  ivar='i20,
cbug     &  '  fvar=',1pe20.12)
cbug      write (   6, 9901) mvar(n)
cbug      write (iout, 9901) mvar(n)
cbug      write (   6, 9902) ivar(n), fvar(n)
cbug      write (iout, 9902) ivar(n), fvar(n)
cbugc____ DEBUG ends.

c.... See if value is close enough to an integer to be changed to an integer.

      call aptnint (fvar(n), 1., 0., tol, nrnd, fvarx)

 9701   format ('  varmode WARNING.  Reading ',a38,' line ',i5,'.' /
     &   '  Replaced ',7x,1pe20.12,' with ',i16,'.  tol = ',1pe10.2,'.')

      if (nrnd .eq. 1) then
        mvar(n) = 2
        ivar(n) = nint (fvar(n))
        fvarnew = ivar(n)
        if (fvarnew. ne. fvar(n)) then
          write (   6, 9701) ainput, ninput, fvar(n), ivar(n), tol
          write (iout, 9701) ainput, ninput, fvar(n), ivar(n), tol
          fvar(n) = fvarnew
        endif
      else
        mvar(n) = 3
      endif

cold      mvar(n)   = 2
cold
cold      if (abs (fvar(n)) .gt. 10.0**idmax) then
cold
cold        mvar(n) = 3
cold
cold      else
cold
cold        ivar(n) = nint (fvar(n))
cold        fvarx   = ivar(n)
cold        errvar  = tol * abs (fvar(n))
cold
cold        if (abs (fvar(n) - fvarx) .gt. errvar) then
cold          mvar(n) = 3
cold        else
cold          fvar(n) = fvarx
cold        endif
cold
cold      endif

      if (mvar(n) .eq. 3) ivar(n) = 0

  999 continue
cbugc____ DEBUG begins.
cbug 9911 format ('  varmode DEBUG.  ibug=2.  mvar='i3)
cbug 9912 format ('  varmode DEBUG.  ibug=2.  ivar='i20,
cbug     &  '  fvar=',1pe20.12)
cbug      write (   6, 9911) mvar(n)
cbug      write (iout, 9911) mvar(n)
cbug      write (   6, 9912) ivar(n), fvar(n)
cbug      write (iout, 9912) ivar(n), fvar(n)
cbugc____ DEBUG ends.
      return

c.... End of subroutine varmode.      (+1 line)
      end
