      subroutine vectfind (nw, nv)

c*s
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c
c     Version:  vectfind Updated     1994 August 30 16:40.
c               vectfind Originated  1994 August 30 16:40.
c
c     Author:   Arthur L. Edwards, L-298, x-24123.
c
c     Purpose:  To find a vector with the same name as an ASCII argument,
c               or the value of an ASCII variable argument,
c               display the vector, or display an error message.
c
c     Logic:    Entry points:  vectfind.
c vectfind      Called by:  accel, area, axisym, cone, copy, cross, cylinder,
c               delete, disk, dot, ellipsoid, extrema, matrix, movex,
c               operator, plane, point, project, qumove, renamex, solve,
c               sphere, track, twist, variable, vector, volume, voper, walk.
c
c vectfind      Calls:  vout.
c
c     Biblio:   ?
c
c     Glossary:
c
c     aword(nw) Input    Name of vector to find.
c
c     nv        Output   Index of vector.
c
c     nw        Input    Index of argument to test.     
c
c     History:
c
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c/c

      include 'store.h'

 8110 format ('  vectfind ERROR.  Reading ',a40,' line ',i5,'.' /
     &  '  Argument number is bad:  ',i5)

      if ((nw .lt. 1)      .or.
     &    (nw .gt. nword)) then
        write (   6, 8110) ainput, ninput, nw
        write (iout, 8110) ainput, ninput, nw
        go to 999
      endif

      nv = 0

      do 120 n = 1, nvectors         ! Loop over vectors.
        if (aword(nw) .eq. avector(n)) then
          nv = n
          call vout (nv, nv)
          go to 999
        endif
  120 continue                        ! End of loop over vectors.

 8120 format ('  vectfind ERROR.  Reading ',a40,' line ',i5,'.' /
     &  '  Named vector does not exist:  ',a)

      write (   6, 8120) ainput, ninput, aword(nw)
      write (iout, 8120) ainput, ninput, aword(nw)

  999 return

c.... End of subroutine vectfind.     (+1 line)
      end
